Create gateway payment schedulepost https://cert.api.firstdata.com/gateway/v2/payment-schedulesUse this to create a payment schedule managed by the gateway.Body ParamsAccepted request types: PaymentMethodPaymentSchedulesRequest and ReferencedOrderPaymentSchedulesRequest.PaymentMethodPaymentSchedulesRequestReferencedOrderPaymentSchedulesRequestrequestTypestringrequiredObject name of the payment schedules request.storeIdstringlength ≤ 20Store ID number.startDatedaterequiredDate of mandate signature.nextAttemptDatedateDate of next transaction process attempt.numberOfPaymentsint321 to 999Number of times the recurring payment will process.maximumFailuresint321 to 999Number of failures that can be encountered before re-tries cease.invoiceNumberstringInvoice number.purchaseOrderNumberstringPurchase order number.transactionOriginstringenumThe source of the transaction. The possible values are ECOM (if the order was received via email or Internet), MOTO (mail order, telephone order), MAIL, PHONE and RETAIL (face to face).ECOMECOMMOTOMAILPHONERETAILAllowed:ECOMMOTOMAILPHONERETAILdynamicMerchantNamestringDynamic merchant name for the cardholder's statement.frequencyobjectrequiredHow often payments are sent.frequency objecttransactionAmountobjectrequiredAmount of the transaction.transactionAmount objectclientLocaleobjectCountry and language of client.clientLocale objectorderIdstringNote - Client Order ID if supplied by client. If not supplied by client, IPG will generate. The first 12 alphanumeric digits are passed down to Fiserv Enterprise reporting tool, Clientline and Data File Manager (DFM).billingobjectCustomer billing information.billing objectshippingobjectShipping information.shipping objectindustrySpecificExtensionsobjectIndustry-specific information.industrySpecificExtensions objectcommentsstringUser supplied comments.paymentMethodobjectrequiredVarious payment methods the Gateway supports. Abstract class, do not use this class directly, use one of its children.paymentMethod objectHeadersContent-TypestringenumrequiredDefaults to application/jsonContent type.application/jsonAllowed:application/jsonClient-Request-IdstringrequiredA client-generated ID for request tracking and signature creation, unique per request. This is also used for idempotency control. We recommend 128-bit UUID format.Api-KeystringrequiredKey given to merchant after boarding associating their requests with the appropriate app in Apigee.Timestampint64requiredEpoch timestamp in milliseconds in the request from a client system. Used for Message Signature generation and time limit (5 mins).Message-SignaturestringrequiredUsed to ensure the request has not been tampered with during transmission. The Message-Signature is the Base64 encoded HMAC hash (SHA256 algorithm with the API Secret as the key.) For more information, refer to the supporting documentation on the Developer Portal.Responses 200Success response. 400The request cannot be validated. 401The request was unauthorized. 404The requested resource doesn't exist. 409The attempted action is not valid according to gateway rules. 415Format that is not supported by the server for the HTTP method. 422The endpoint declined the transaction. 500An unexpected internal server error occurred.Updated 8 months ago